dev-libs/libgcrypt: upgraded package to upstream

Upgraded dev-libs/libgcrypt to version 1.9.1.

BUG=b/179467858
TEST=presubmit
RELEASE_NOTE=Fixed CVE-2021-3345.

cos-patch: security-high
Change-Id: I0888501770c6f56bc2fe6ee0cd29b0626c49093a
Reviewed-on: https://cos-review.googlesource.com/c/third_party/overlays/portage-stable/+/12491
Tested-by: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Main-Branch-Verified: Cusky Presubmit Bot <presubmit@cos-infra-prod.iam.gserviceaccount.com>
Reviewed-by: Robert Kolchmeyer <rkolchmeyer@google.com>
3 files changed